# Record Class VulkanDebuggingType.Color

java.lang.Object
java.lang.Record
com.io7m.jcoronado.api.VulkanDebuggingType.Color

Record Components:
  `red` - The red channel
  `green` - The green channel
  `blue` - The blue channel

Enclosing interface:
  `VulkanDebuggingType`

public static record VulkanDebuggingType.Color(double red, double green, double blue) extends Record
A label color.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Color(double red, double green, double blue)`
  Creates an instance of a `Color` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `blue()`
  Returns the value of the `blue` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `double`
  `green()`
  Returns the value of the `green` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `double`
  `red()`
  Returns the value of the `red` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Color

    public Color(double red, double green, double blue)
    Creates an instance of a `Color` record class.
    Parameters:
      `red` - the value for the `red` record component
      `green` - the value for the `green` record component
      `blue` - the value for the `blue` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### red

    public double red()
    Returns the value of the `red` record component.
    Returns:
      the value of the `red` record component

  - ### green

    public double green()
    Returns the value of the `green` record component.
    Returns:
      the value of the `green` record component

  - ### blue

    public double blue()
    Returns the value of the `blue` record component.
    Returns:
      the value of the `blue` record component